#
# spec file for package ghc-http-client-tls
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%global pkg_name http-client-tls

%bcond_with tests

Name:           ghc-http-client-tls
Version:        0.2.4
Release:        2.3
Summary:        Http-client backend using the connection package and tls library
Group:          System/Libraries

License:        MIT
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-connection-devel
BuildRequires:  ghc-data-default-class-devel
BuildRequires:  ghc-http-client-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-tls-devel
%if %{with tests}
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-http-types-devel
%endif
# End cabal-rpm deps

%description
Intended for use by higher-level libraries, such as http-conduit.


%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development
files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%check
%if %{with tests}
%cabal test
%endif


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE


%files devel -f %{name}-devel.files
%defattr(-,root,root,-)


%changelog
* Sat Apr 16 2016 mimi.vx@gmail.com
- update to 0.2.4
  * Global manager
* Tue Apr 12 2016 mimi.vx@gmail.com
- update to 0.2.3
  * Exception catching cleanup
* Thu Apr 23 2015 mimi.vx@gmail.com
- initial commit
